Unable to find pip2.7; cannot continue

asked 2020-01-23 07:49:48 -0600

mc_biruleibe gravatar image

Hello, I'm having this trouble after pip 20.0.1 update, I've tried the https://askubuntu.com/questions/827836/i-get-this-error-even-after-installing-pip-37-unable-to-find-pip2-7-cannot-con (solution), but it didn't work, I'm using a VM with ubuntu server 18.04, if you guys could help I'll appreciate it.

Installing collected packages: pip Successfully installed pip-20.0.1 +tools/install_pip.sh:install_get_pip:93 python3_enabled +inc/python:python3_enabled:453 [[ True == \T\r\u\e ]] +inc/python:python3_enabled:454 return 0 +tools/install_pip.sh:main:142 [[ -n '' ]] +tools/install_pip.sh:main:146 set -x +tools/install_pip.sh:main:150 pip_install_gr setuptools +inc/python:pip_install_gr:68 local name=setuptools +inc/python:pip_install_gr:69 local clean_name ++inc/python:pip_install_gr:70 get_from_global_requirements setuptools ++inc/python:get_from_global_requirements:238 local package=setuptools ++inc/python:get_from_global_requirements:239 local required_pkg +++inc/python:get_from_global_requirements:240 grep -i -h '^setuptools' /opt/stack/requirements/global-requirements.txt +++inc/python:get_from_global_requirements:240 cut -d# -f1 ++inc/python:get_from_global_requirements:240 required_pkg='setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0;python_version>='\''3.5'\'' setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,<45.0.0;python_version<='\''2.7'\'' ' ++inc/python:get_from_global_requirements:241 [[ setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0;python_version>='3.5' setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,<45.0.0;python_version<='2.7' == '' ]] ++inc/python:get_from_global_requirements:244 echo 'setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0;python_version>='\''3.5'\''' 'setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,<45.0.0;python_version<='\''2.7'\''' +inc/python:pip_install_gr:70 clean_name='setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0;python_version>='\''3.5'\'' setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,<45.0.0;python_version<='\''2.7 ... (more)

edit retag flag offensive close merge delete